git_commit-class {git2r} | R Documentation

## S4 class to handle a git commit.

### Description

Class `"git_commit"`

### Slots

sha

  The 40 character hexadecimal string of the SHA-1

author

  An author signature

committer

  The committer signature

summary

  The short "summary" of a git commit message, comprising the first paragraph of the message with whitespace trimmed and squashed.

message

  The message of a commit

repo

  The S4 class git_repository that contains the commit

### Methods

show

  `signature(object = "git_commit")`

[Package git2r version 0.20.0 Index]